Index: other-projects/maori-lang-detection/MoreReading/mongodb.txt
===================================================================
--- other-projects/maori-lang-detection/MoreReading/mongodb.txt	(revision 33913)
+++ other-projects/maori-lang-detection/MoreReading/mongodb.txt	(revision 33914)
@@ -1103,5 +1103,5 @@
 - RUSSIA: https://www.gismeteo.lv - misidentification of an email address
 - JAPAN: http://yutaka.it-n.jp - many pages of scientific names of (plants?) which are often misdetected as MRI
-!! - Ireland, ie: https://coggle.it
+!! - IRELAND, IE: https://coggle.it
 - IRAN: https://www.dideo.ir/v/yt/d6cgya0ze-E - video title from MaoriTelevision website
 - CZECH republic:
@@ -1371,5 +1371,5 @@
 X https://docs.google.com, timetable with occasional Maori language word
 + https://drive.google.com, https://drive.google.com/file/d/1NwuzafjddaP8gxI7O_Zapts5bM7mrtwn/preview is an image of Maori number names. But other page on drive.google.com is a NZ certificate or ID (in English) of a person's position.
-http://ritusehji.blogspot.com - no page with more than 1 sentence detected. But short string of actual MRI content. Educator blog with pictures and English language content.
+~+ http://ritusehji.blogspot.com - no page with more than 1 sentence detected. But short string of actual MRI content. Educator blog with pictures and English language content.
 
 
@@ -1541,5 +1541,5 @@
 X https://mi.lawyers.cafe - autotranslated
 	X https://mi.centr-zashity.ru - same as lawyers.cafe above: autotranslated
-! https://policies.oclc.org - not completely translated. Copyright page, privacy statement and cookie statement pages appear to be in Maori. Not sure if autotranslated since other pages aren't available in MI. Dutch equivalent pages seem human translated.
+~! https://policies.oclc.org - not completely translated. Copyright page, privacy statement and cookie statement pages appear to be in Maori. Not sure if autotranslated since other pages aren't available in MI. Dutch equivalent pages seem human translated.
 X http://jobdescriptionsample.org - autotranslated
 X http://mi.broadcastbeat.com - autotranslated product site
@@ -1619,24 +1619,225 @@
    IT, AT, RO, CH, RU, BG, MX, JP, CN, IE, IR, FI same
 
-US gained 3:
-anglican.org (NEW)
-articles.imperialtometric.com (from CA)
-daandehn.com (CA)
+US gained 3 + 1 from mi in URL path:
++ anglican.org (NEW)
+X articles.imperialtometric.com (from CA)
+X daandehn.com (from CA)
++ kiwiproperty.com (from AU)
 
 CA lost 2:
-articles.imperialtometric.com (to US)
-daandehn.com (to US)
+X articles.imperialtometric.com (to US)
+X daandehn.com (to US)
 
 AU:
-lost kiwiproperty.com (to US - mi in URL path version file!)
+! lost kiwiproperty.com (to US - mi in URL path version file!)
 
 
 CZ:
-gained viveipcl.com (from UNKNOWN)
+X gained viveipcl.com (from UNKNOWN)
 
 UNKNOWN:
-gained hitiaotera.com from IL
+X gained hitiaotera.com from IL
 
 IL:
-lost one to (UNKNOWN)
-
+X lost one (hitiaotera.com to UNKNOWN)
+
+
+FINAL SITE COUNT (contain >= 1 page with >= 1 MRI sentence)
+
+DK:
+http://ngapuhiradio.com
+http://ngapuhitelevision.com
+	[http://akona.ngapuhitelevision.com
+	http://waiatarangatiratanga.ngapuhitelevision.com 
+	http://jazz.ngapuhitelevision.com
+	http://powhiri.ngapuhitelevision.com
+	http://komisch.ngapuhitelevision.com]
+
+DE
+http://www.udhr.de
+https://www.cartogiraffe.com/
+
+AU
+https://koreromaori.com
+(https://infogram.com/)
+
+FR
+http://chantsdeluttes.free.fr/
+
+ES
+https://www.uv.es/
+
+IE
+https://coggle.it
+
+CZ:
+http://www.henryklahola.nazory.cz
+
+BG:
+http://anitra.net/
+
+US finals:
+http://anglican.org
+http://anglicanhistory.org
+http://www.unicode.org
+https://static-promote.weebly.com
+http://aclhokiangarocks.blogspot.com
+http://bahaiprayers.net
+https://biblehub.com
+http://www.muhammad.com
+http://www.godrules.net
+http://m.biblepub.com
+http://www.krassotkin.ru
+http://www.gotquestions.org
+https://maorinews.com
+http://maaori.com
+http://kiaorahola.blogspot.com
+https://kjohnsonnz.blogspot.com
+http://pumanawawhangara.blogspot.com
+http://dannykahei.tripod.com
+http://burkekm001.tripod.com
+http://tkkpipipaopao.blogspot.com
+http://manateina.blogspot.com
+http://tatai09.blogspot.com 
+http://www.twttoa.com
+http://tuhua2010.blogspot.com
+http://piripi.blogspot.com
+https://www.breaker.audio
+https://drive.google.com
+http://ritusehji.blogspot.com
+https://in.pinterest.com
+
+29
+
+https://www.kiwiproperty.com
+http://indigenousblogs.com
+https://mi.m.wikipedia.org, https://mi.wikipedia.org
+http://csunplugged.org, https://www.csunplugged.org
+(https://policies.oclc.org)
+
+34 incl with MI in URL Path
+
+
+---------------------
+NZ:
+	http://www.teipukarea.maori.nz
+        http://ngatipahauwera.co.nz
+        http://www.oag.govt.nz
+        https://sexualviolence.victimsinfo.govt.nz
+        http://tmoa.tki.org.nz
+        http://www.tewhanake.maori.nz
+        http://www.matarikifestival.org.nz
+        http://www.otepoti.school.nz
+        https://www.maoritelevision.com
+        http://pukapuka.nz
+        http://community.nzdl.org
+        http://maori.livingheritage.org.nz [http://www.livingheritage.org.nz]
+        http://pukoro.co.nz
+	https://cdn.tehiku.nz [DOMAIN: tehiku.nz]
+        http://www.runanga.co.nz
+        http://kuraaiwi.maori.nz
+        http://kurataiao.tki.org.nz
+        http://satellites.co.nz
+        http://teaohou.natlib.govt.nz
+        http://www.tuwharetoa.iwi.nz
+        https://www.terito.school.nz
+        https://ttw1.cwp.govt.nz
+        https://www.whanau-tahi.school.nz
+        https://e-ako-pangarau.nzmaths.co.nz
+        https://teaomaori.news
+        http://tetaurawhiri.govt.nz
+        https://www.tuiatematangi.ac.nz
+        http://animations.tewhanake.maori.nz
+        https://www.dnc.org.nz
+        http://firstworldwar.tki.org.nz [http://www.firstworldwar.tki.org.nz]
+        http://www.28maoribattalion.org.nz
+        http://www.tewikiotereomaori.co.nz
+        http://www.brettgraham.co.nz
+        https://hepatakakupu.nz
+	http://anglicanprayerbook.nz
+        http://arataua.nz
+        http://maori.tki.org.nz
+        https://paekupu.co.nz
+        https://haereheikaiako.co.nz
+        https://curriculumtool.education.govt.nz
+        http://kurakokiri.maori.nz [includes: http://www.kurakokiri.maori.nz]
+        http://www.kkmmaungarongo.co.nz
+        http://www.heartland.co.nz
+        http://oilcrash.com
+        http://www.kura-porirua.school.nz
+        https://www.sporty.co.nz
+        https://www.tematawai.maori.nz
+        https://www.terakipaewhenua.school.nz
+        http://www.tetaurawhiri.govt.nz
+        http://archive.stats.govt.nz
+        http://tiritiowaitangi.govt.nz
+        http://www.waiata.maori.nz [includes: http://waiata.maori.nz]
+        http://hana.co.nz
+        http://kaupare.co.nz
+        http://www.tereowrap.nz
+        http://www.hrc.co.nz
+        http://ngatiporoukiponeke.org.nz
+        http://rurued.school.nz
+        http://www.twtop.school.nz
+        http://www.huri-translations.pf
+        https://teara.govt.nz/ [https://admin.teara.govt.nz, http://blog.teara.govt.nz]
+        https://tiritiowaitangi.govt.nz 
+        http://www.tmoa.tki.org.nz
+        https://www.komako.org.nz
+        http://www.wcl.govt.nz [included: http://kete.wcl.govt.nz]        
+        http://punareo.co.nz
+        https://rapuatearatika.education.govt.nz
+        http://tmmkkm.school.nz
+        http://www.cs.waikato.ac.nz
+        http://www.kupengahao.co.nz
+        https://www.hapuhauora.health.nz
+        http://cms.sunsmartschools.co.nz [http://sunsmartschools.co.nz/]
+        http://kuraproductions.co.nz
+        https://keepourmoneyclean.govt.nz
+        http://www.tekura.school.nz
+        http://www.tkkmmokopuna.school.nz
+        http://hangaraumatihiko.tki.org.nz
+        http://www.pakanae.maori.nz
+
+
+	http://holyspirit.nz
+	https://www.ngamanawainc.co.nz, [includes http://www.ngamanawainc.co.nz]
+	http://www.finlaysonpark.school.nz
+	http://www.w3vietnam.org.nz [includes http://w3vietnam.org.nz]
+	https://www.takitimu.ac.nz
+        https://kotahimiriona.co.nz
+        https://rehuamarae.co.nz
+        http://reoora.co.nz
+
+        https://manawatuheritage.pncc.govt.nz
+        http://rsnz.natlib.govt.nz
+        https://www.taitokerautrust.org.nz
+        http://tewikiotereomaori.nz
+        https://www.korokikahukura.co.nz
+        https://www.pinterest.nz
+        https://www.rereahu.maori.nz
+        http://givealittle.co.nz
+        https://kaiiwicamp.nz [includes http://kaiiwicamp.nz]
+        http://ngarauhuia.ngatiapakiterato.iwi.nz
+        https://m.wairarapatv.co.nz
+
+        http://avonside.net
+        http://www.maoriinvestments.co.nz
+        http://conference.tpwt.maori.nz
+        https://www.puau.school.nz
+        http://tehauora.org.nz
+
+        http://temahurehure.maori.nz
+        http://www.temarareo.org
+        http://www.tetaumuturunanga.iwi.nz
+        http://www.writersfestival.co.nz
+        http://www.kmk.maori.nz
+        https://www.stats.govt.nz [includes http://archive.stats.govt.nz]
+
++?       http://ngatiwhakaue.iwi.nz
++?       https://interactives.stuff.co.nz
++?       http://whatonga.school.nz
++?       https://player.vimeo.com
++?       http://southerntribes.co.nz
+
+?X      https://www.e-agent.nz [includes: https://office.e-agent.nz, http://videos.e-agent.nz]
Index: other-projects/maori-lang-detection/mongodb-data/ManualShortlisting.txt
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/ManualShortlisting.txt	(revision 33913)
+++ other-projects/maori-lang-detection/mongodb-data/ManualShortlisting.txt	(revision 33914)
@@ -1762,5 +1762,5 @@
         "http://teaohou.natlib.govt.nz", 4/4, 2/4
         "http://www.tuwharetoa.iwi.nz", 2/3 0/3
-+        "http://auturoa.nz", 0/4 0/3 [lots of MRI terms among English] - COMMUNITY (But there are pages inMRI to be found by non-random sampling, e.g. http://auturoa.nz/KarakiaMoKuaToRangiTeRaa.html)
+X        "http://auturoa.nz", 0/4 0/3 [lots of MRI terms among English] - COMMUNITY (But there are pages inMRI to be found by non-random sampling, e.g. http://auturoa.nz/KarakiaMoKuaToRangiTeRaa.html)
         "https://www.terito.school.nz", 3/3, 0/2 total
         "https://ttw1.cwp.govt.nz", 3/3 3/3
@@ -1991,17 +1991,19 @@
 3. GRAND TOTALS
 
-Count per country of web SITES that contain at least 1 web page containing at least 1 genuine MRI sentence:
-
+Count per country of web SITES that contain at least 1 web page containing at least 1 genuine MRI sentence. (Number in brackets for overseas is number of sites of that geolocation if nz TLDs were NOT grouped with NZ geolocation under "NZ". Number in brackets for NZ indicates the number of sites that are only of NZ geolocation ignoring nz TLDs hosted overseas.)
+
+OLD
 countryCode, num manually inspected sites as having pages containing MRI, num sites openNLP detected as having pages containing MRI
-NZ: 126 actual sites out of 176 detected sites
-US: 29 actual out of 486 detected sites
-AU: 2 actual out of 21 detected sites
+NZ: 126 actual sites out of 176 (89) detected sites
+US: 29 actual out of 422 (486) detected sites
+AU: 2 actual out of 5 (21) detected sites
 DE, Germany: 2 actual out of 27 detected sites
 DK, Denmark: 2 out of 8
 BG, Bulgaria: 1 out of 1
 CZ, Czech Republic: 1 out of 4
-ES, Spain: 1 out of 7
-FR, France: 1 out of 36
+ES, Spain: 1 out of 5 (7)
+FR, France: 1 out of 35 (36)
 IE, Ireland: 1 out of 2
+
 
 TOTAL: 166 sites of all the crawled sites where the crawled set of pages per site actually contained at least one sentence in MÄori based on manual inspection.
Index: other-projects/maori-lang-detection/mongodb-data/ManualShortlisting2.txt
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/ManualShortlisting2.txt	(revision 33913)
+++ other-projects/maori-lang-detection/mongodb-data/ManualShortlisting2.txt	(revision 33914)
@@ -2008,16 +2008,31 @@
 3. GRAND TOTALS
 
-Count per country of web SITES that contain at least 1 web page containing at least 1 genuine MRI sentence:
-
+Count per country of web SITES that contain at least 1 web page containing at least 1 genuine MRI sentence. (Number in brackets for overseas is number of sites of that geolocation if nz TLDs were NOT grouped with NZ geolocation under "NZ". Number in brackets for NZ indicates the number of sites that are only of NZ geolocation ignoring nz TLDs hosted overseas. Numbers only present where different from counts of site by geolocation, which is the number indicated out of brackets.)
+
+OLD
 countryCode, num manually inspected sites as having pages containing MRI, num sites openNLP detected as having pages containing MRI
-NZ: 126 actual sites out of 176 detected sites
-US: 29 actual out of 486 detected sites
-AU: 2 actual out of 21 detected sites
+NZ: 126 actual sites out of 176 (89) detected sites
+US: 29 actual out of 422 (486) detected sites
+AU: 2 actual out of 5 (21) detected sites
 DE, Germany: 2 actual out of 27 detected sites
 DK, Denmark: 2 out of 8
 BG, Bulgaria: 1 out of 1
 CZ, Czech Republic: 1 out of 4
-ES, Spain: 1 out of 7
-FR, France: 1 out of 36
+ES, Spain: 1 out of 5 (7)
+FR, France: 1 out of 35 (36)
+IE, Ireland: 1 out of 2
+
+NEW - Adjusted grand totals above with changes to values after reingesting into mongodb (the adjusted values are from section C below). The number in brackets here are the UNIQUE domain names/sites that OpenNLP detected as having pages containing MRI, where different.
+
+countryCode, num manually inspected sites as having pages containing MRI, num sites openNLP detected as having pages containing MRI
+NZ: 124 (113 + 11 non-unique) actual sites out of 176 (159) detected sites
+US: 32 actual out of 422 (405) detected sites
+AU: 1 actual out of 5 detected sites
+DE, Germany: 2 actual out of 26 (24) detected sites
+DK, Denmark: 2 out of 8
+BG, Bulgaria: 1 out of 1
+CZ, Czech Republic: 1 out of 5 (4)
+ES, Spain: 1 out of 5
+FR, France: 1 out of 35 (34)
 IE, Ireland: 1 out of 2
 
@@ -2026,2 +2041,226 @@
 
 ========================================
+Adjusted grand totals in manualShortlisting.txt with the following.
+
+----------------------------------------------------------------------
+C GEOLOCATION CHANGES AFTER REINGESTING UPON INTRODUCING ANGLICAN.ORG:
+----------------------------------------------------------------------
+NZ the same as before
+   NL, DE, FR, DK, ES, GB same
+   IT, AT, RO, CH, RU, BG, MX, JP, CN, IE, IR, FI same
+
+US gained 3:
++ anglican.org (NEW)
+X articles.imperialtometric.com (from CA)
+X daandehn.com (CA)
+
+CA lost 2:
+X articles.imperialtometric.com (to US)
+X daandehn.com (to US)
+
+AU:
++ ! lost kiwiproperty.com (to US - mi in URL path version file!)
+
+
+CZ:
+X gained viveipcl.com (from UNKNOWN)
+
+UNKNOWN:
+X gained hitiaotera.com from IL
+
+IL:
+X lost one (hitiaotera.com to UNKNOWN)
+
+-----------------
+FINAL SITE COUNT (contain >= 1 page with >= 1 MRI sentence)
+-----------------
+DK (2):
+http://ngapuhiradio.com
+http://ngapuhitelevision.com
+	[http://akona.ngapuhitelevision.com
+	http://waiatarangatiratanga.ngapuhitelevision.com 
+	http://jazz.ngapuhitelevision.com
+	http://powhiri.ngapuhitelevision.com
+	http://komisch.ngapuhitelevision.com]
+
+DE (2)
+http://www.udhr.de
+https://www.cartogiraffe.com
+
+AU (1)
+https://koreromaori.com
+
+FR (1)
+http://chantsdeluttes.free.fr
+
+ES (1)
+https://www.uv.es
+
+IE (1)
+https://coggle.it
+
+CZ: (1)
+http://www.henryklahola.nazory.cz
+
+BG: (1)
+http://anitra.net
+
+US finals 31 (33):
+http://anglican.org
+http://anglicanhistory.org
+http://www.unicode.org
+https://static-promote.weebly.com
+http://aclhokiangarocks.blogspot.com
+http://bahaiprayers.net
+https://biblehub.com
+http://www.muhammad.com
+http://www.godrules.net
+http://m.biblepub.com
+http://www.krassotkin.ru
+http://www.gotquestions.org
+https://maorinews.com
+http://maaori.com
+http://kiaorahola.blogspot.com
+https://kjohnsonnz.blogspot.com
+http://pumanawawhangara.blogspot.com
+http://dannykahei.tripod.com
+http://burkekm001.tripod.com
+http://tkkpipipaopao.blogspot.com
+http://manateina.blogspot.com
+http://tatai09.blogspot.com 
+http://www.twttoa.com
+http://tuhua2010.blogspot.com
+http://piripi.blogspot.com
+https://drive.google.com
+https://in.pinterest.com
++? https://www.breaker.audio [AUDIO]
++X http://ritusehji.blogspot.com
+27 (28)
+
+https://www.kiwiproperty.com
+http://indigenousblogs.com
+https://mi.m.wikipedia.org [https://mi.wikipedia.org]
+http://csunplugged.org [includes https://www.csunplugged.org]
+?~ https://policies.oclc.org
+
++ 4 (5) = 31 (33) incl with MI in URL Path
+
+
+NZ: 113 unique + 11 non-unique
+http://www.teipukarea.maori.nz
+http://ngatipahauwera.co.nz
+http://www.oag.govt.nz
+https://sexualviolence.victimsinfo.govt.nz
+http://tmoa.tki.org.nz
+http://www.tewhanake.maori.nz
+http://www.matarikifestival.org.nz
+http://www.otepoti.school.nz
+https://www.maoritelevision.com
+http://pukapuka.nz
+http://community.nzdl.org
+http://maori.livingheritage.org.nz [http://www.livingheritage.org.nz]
+http://pukoro.co.nz
+https://cdn.tehiku.nz [DOMAIN: tehiku.nz]
+http://www.runanga.co.nz
+http://kuraaiwi.maori.nz
+http://kurataiao.tki.org.nz
+http://satellites.co.nz
+http://teaohou.natlib.govt.nz
+http://www.tuwharetoa.iwi.nz
+https://www.terito.school.nz
+https://ttw1.cwp.govt.nz
+https://www.whanau-tahi.school.nz
+https://e-ako-pangarau.nzmaths.co.nz
+https://teaomaori.news
+http://tetaurawhiri.govt.nz
+https://www.tuiatematangi.ac.nz
+http://animations.tewhanake.maori.nz
+https://www.dnc.org.nz
+http://firstworldwar.tki.org.nz [http://www.firstworldwar.tki.org.nz]
+http://www.28maoribattalion.org.nz
+http://www.tewikiotereomaori.co.nz
+http://www.brettgraham.co.nz
+https://hepatakakupu.nz
+http://anglicanprayerbook.nz
+http://arataua.nz
+http://maori.tki.org.nz
+https://paekupu.co.nz
+https://haereheikaiako.co.nz
+https://curriculumtool.education.govt.nz
+http://kurakokiri.maori.nz [includes: http://www.kurakokiri.maori.nz]
+http://www.kkmmaungarongo.co.nz
+http://www.heartland.co.nz
+http://oilcrash.com
+http://www.kura-porirua.school.nz
+https://www.sporty.co.nz
+https://www.tematawai.maori.nz
+https://www.terakipaewhenua.school.nz
+http://www.tetaurawhiri.govt.nz
+http://archive.stats.govt.nz
+http://tiritiowaitangi.govt.nz
+http://www.waiata.maori.nz [includes: http://waiata.maori.nz]
+http://hana.co.nz
+http://kaupare.co.nz
+http://www.tereowrap.nz
+http://www.hrc.co.nz
+http://ngatiporoukiponeke.org.nz
+http://rurued.school.nz
+http://www.twtop.school.nz
+http://www.huri-translations.pf
+https://teara.govt.nz [https://admin.teara.govt.nz, http://blog.teara.govt.nz]
+https://tiritiowaitangi.govt.nz
+http://www.tmoa.tki.org.nz
+https://www.komako.org.nz
+http://www.wcl.govt.nz [included:http://kete.wcl.govt.nz]
+http://punareo.co.nz
+https://rapuatearatika.education.govt.nz
+http://tmmkkm.school.nz
+http://www.cs.waikato.ac.nz
+http://www.kupengahao.co.nz
+https://www.hapuhauora.health.nz
+http://cms.sunsmartschools.co.nz [http://sunsmartschools.co.nz/]
+http://kuraproductions.co.nz
+https://keepourmoneyclean.govt.nz
+http://www.tekura.school.nz
+http://www.tkkmmokopuna.school.nz
+http://hangaraumatihiko.tki.org.nz
+http://www.pakanae.maori.nz
+--- 78+9
+http://holyspirit.nz
+https://www.ngamanawainc.co.nz [includes http://www.ngamanawainc.co.nz]
+http://www.finlaysonpark.school.nz
+http://www.w3vietnam.org.nz [includes http://w3vietnam.org.nz]
+https://www.takitimu.ac.nz
+https://kotahimiriona.co.nz
+https://rehuamarae.co.nz
+http://reoora.co.nz
+https://manawatuheritage.pncc.govt.nz
+http://rsnz.natlib.govt.nz
+https://www.taitokerautrust.org.nz
+http://tewikiotereomaori.nz
+https://www.korokikahukura.co.nz
+https://www.pinterest.nz
+https://www.rereahu.maori.nz
+http://givealittle.co.nz
+https://kaiiwicamp.nz [includes http://kaiiwicamp.nz]
+http://ngarauhuia.ngatiapakiterato.iwi.nz
+https://m.wairarapatv.co.nz
+http://avonside.net
+http://www.maoriinvestments.co.nz
+http://conference.tpwt.maori.nz
+https://www.puau.school.nz
+http://tehauora.org.nz
+http://temahurehure.maori.nz
+http://www.temarareo.org
+http://www.tetaumuturunanga.iwi.nz
+http://www.writersfestival.co.nz
+http://www.kmk.maori.nz
+https://www.stats.govt.nz [includes http://archive.stats.govt.nz]
+---30+4
++? http://ngatiwhakaue.iwi.nz
++? https://interactives.stuff.co.nz
++? http://whatonga.school.nz
++? https://player.vimeo.com
++? http://southerntribes.co.nz
+---78+30+(5)=113 unique + 11 non-unique
+?X https://www.e-agent.nz [includes: https://office.e-agent.nz,http://videos.e-agent.nz]
Index: other-projects/maori-lang-detection/mongodb-data/manualList_globalDomains_whereAPageContainsMRI.txt
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/manualList_globalDomains_whereAPageContainsMRI.txt	(revision 33914)
+++ other-projects/maori-lang-detection/mongodb-data/manualList_globalDomains_whereAPageContainsMRI.txt	(revision 33914)
@@ -0,0 +1,158 @@
+ngapuhiradio.com
+ngapuhitelevision.com
+udhr.de
+cartogiraffe.com
+koreromaori.com
+chantsdeluttes.free.fr
+uv.es
+coggle.it
+henryklahola.nazory.cz
+anitra.net
+anglican.org
+anglicanhistory.org
+unicode.org
+static-promote.weebly.com
+aclhokiangarocks.blogspot.com
+bahaiprayers.net
+biblehub.com
+muhammad.com
+godrules.net
+m.biblepub.com
+krassotkin.ru
+gotquestions.org
+maorinews.com
+maaori.com
+kiaorahola.blogspot.com
+kjohnsonnz.blogspot.com
+pumanawawhangara.blogspot.com
+dannykahei.tripod.com
+burkekm001.tripod.com
+tkkpipipaopao.blogspot.com
+manateina.blogspot.com
+tatai09.blogspot.com 
+twttoa.com
+tuhua2010.blogspot.com
+piripi.blogspot.com
+drive.google.com
+in.pinterest.com
+breaker.audio
+kiwiproperty.com
+indigenousblogs.com
+mi.m.wikipedia.org
+mi.wikipedia.org
+csunplugged.org
+teipukarea.maori.nz
+ngatipahauwera.co.nz
+oag.govt.nz
+sexualviolence.victimsinfo.govt.nz
+tmoa.tki.org.nz
+tewhanake.maori.nz
+matarikifestival.org.nz
+otepoti.school.nz
+maoritelevision.com
+pukapuka.nz
+community.nzdl.org
+livingheritage.org.nz
+pukoro.co.nz
+tehiku.nz
+runanga.co.nz
+kuraaiwi.maori.nz
+kurataiao.tki.org.nz
+satellites.co.nz
+teaohou.natlib.govt.nz
+tuwharetoa.iwi.nz
+terito.school.nz
+ttw1.cwp.govt.nz
+whanau-tahi.school.nz
+e-ako-pangarau.nzmaths.co.nz
+teaomaori.news
+tetaurawhiri.govt.nz
+tuiatematangi.ac.nz
+animations.tewhanake.maori.nz
+dnc.org.nz
+firstworldwar.tki.org.nz
+28maoribattalion.org.nz
+tewikiotereomaori.co.nz
+brettgraham.co.nz
+hepatakakupu.nz
+anglicanprayerbook.nz
+arataua.nz
+maori.tki.org.nz
+paekupu.co.nz
+haereheikaiako.co.nz
+curriculumtool.education.govt.nz
+kurakokiri.maori.nz
+kkmmaungarongo.co.nz
+heartland.co.nz
+oilcrash.com
+kura-porirua.school.nz
+sporty.co.nz
+tematawai.maori.nz
+terakipaewhenua.school.nz
+tetaurawhiri.govt.nz
+archive.stats.govt.nz
+tiritiowaitangi.govt.nz
+waiata.maori.nz
+hana.co.nz
+kaupare.co.nz
+tereowrap.nz
+hrc.co.nz
+ngatiporoukiponeke.org.nz
+rurued.school.nz
+twtop.school.nz
+huri-translations.pf
+teara.govt.nz
+tiritiowaitangi.govt.nz
+tmoa.tki.org.nz
+komako.org.nz
+wcl.govt.nz
+punareo.co.nz
+rapuatearatika.education.govt.nz
+tmmkkm.school.nz
+cs.waikato.ac.nz
+kupengahao.co.nz
+hapuhauora.health.nz
+sunsmartschools.co.nz
+kuraproductions.co.nz
+keepourmoneyclean.govt.nz
+tekura.school.nz
+tkkmmokopuna.school.nz
+hangaraumatihiko.tki.org.nz
+pakanae.maori.nz
+holyspirit.nz
+ngamanawainc.co.nz
+finlaysonpark.school.nz
+w3vietnam.org.nz
+takitimu.ac.nz
+kotahimiriona.co.nz
+rehuamarae.co.nz
+reoora.co.nz
+manawatuheritage.pncc.govt.nz
+rsnz.natlib.govt.nz
+taitokerautrust.org.nz
+tewikiotereomaori.nz
+korokikahukura.co.nz
+pinterest.nz
+rereahu.maori.nz
+givealittle.co.nz
+kaiiwicamp.nz
+ngarauhuia.ngatiapakiterato.iwi.nz
+m.wairarapatv.co.nz
+avonside.net
+maoriinvestments.co.nz
+conference.tpwt.maori.nz
+puau.school.nz
+tehauora.org.nz
+temahurehure.maori.nz
+temarareo.org
+tetaumuturunanga.iwi.nz
+writersfestival.co.nz
+kmk.maori.nz
+stats.govt.nz
+ngatiwhakaue.iwi.nz
+interactives.stuff.co.nz
+whatonga.school.nz
+player.vimeo.com
+southerntribes.co.nz
+
+