Index: /other-projects/maori-lang-detection/src/org/greenstone/atea/CountryCodeCountsMapData.java
===================================================================
--- /other-projects/maori-lang-detection/src/org/greenstone/atea/CountryCodeCountsMapData.java	(revision 33925)
+++ /other-projects/maori-lang-detection/src/org/greenstone/atea/CountryCodeCountsMapData.java	(revision 33926)
@@ -159,5 +159,6 @@
     private final File outputFolder;
 
-
+    // Used to create screenshots
+    private final String MONITOR_RESOLUTION = "1920,1080"; // format: "x,y"
     
     public CountryCodeCountsMapData(String countryCountsJSONFilename) throws Exception {
@@ -645,25 +646,68 @@
 	// https://stackoverflow.com/questions/49606051/how-to-take-a-screenshot-in-firefox-headless-selenium-in-java
 	
-	// https://developer.mozilla.org/en-US/docs/Mozilla/Firefox/Headless_mode
+	
+	String mapURL = this.getAsMapURL();
+	      ///String mapURLescapedForBash = .replace("\"", "\\\"");//.replace("[", "\\[").replace("]", "\\]");
+
+	// Testing the geojson.io URL with a simpler polygon. Also doesn't work.
+	//String mapURL = GEOJSON_MAP_TOOL_URL + DATA_STR + URLEncoder.encode("{\"type\":\"Polygon\",\"coordinates\":[[[-77,37],[-77,38],[-76,38],[-76,37],[-77,37]]]}");
+	
+	
+	File outputFile = new File(outputFolder + File.separator + fileNamePrefix+".png");
+	String outputFilePath = Utility.getFilePath(outputFile);
+
+
+	// https://developer.mozilla.org/en-US/docs/Mozilla/Firefox/Headless_mode	
 	// /path/to/firefox -P my-profile --screenshot test.jpg  https://developer.mozilla.org --window-size=800,1000
 	// https://stackoverflow.com/questions/15783701/which-characters-need-to-be-escaped-when-using-bash
-	
-	String mapURL = this.getAsMapURL();
-	      ///String mapURLescapedForBash = .replace("\"", "\\\"");//.replace("[", "\\[").replace("]", "\\]");
-
-	// Testing the geojson.io URL with a simpler polygon. Also doesn't work.
-	//String mapURL = GEOJSON_MAP_TOOL_URL + DATA_STR + URLEncoder.encode("{\"type\":\"Polygon\",\"coordinates\":[[[-77,37],[-77,38],[-76,38],[-76,37],[-77,37]]]}");
-	
-	
-	File outputFile = new File(outputFolder + File.separator + fileNamePrefix+".png");
-	String outputFilePath = Utility.getFilePath(outputFile);
-
+	// FIREFOX doesn't work as expected: screenshot appears to happen too fast, before json completely loaded
+
+	/*
 	String[] cmdArgs = {
 	    "firefox",
 	    "--screenshot",
 	    outputFilePath,
+	    //"--delay=5", // only in firefox console?
+	    "--window-size="+MONITOR_RESOLUTION,
 	    mapURL //mapURLescapedForBash //"'" + mapURL + "'"
 	};
-
+	*/
+	
+	// Trying CHROME - background world map is faded at times or else blocky, page not loaded fully?
+	//https://www.bleepingcomputer.com/news/software/chrome-and-firefox-can-take-screenshots-of-sites-from-the-command-line/
+	// https://bitsofco.de/using-a-headless-browser-to-capture-page-screenshots/
+	// https://developers.google.com/web/updates/2017/04/headless-chrome
+	
+	String[] cmdArgs = {
+	    "/opt/google/chrome/chrome",
+	    "--headless",
+	    "--screenshot="+outputFilePath, //"--screenshot=\""+outputFilePath+"\"",
+	    "--window-size="+MONITOR_RESOLUTION, //"--window-size=1024,1024",
+	    mapURL
+	};
+	
+   
+	/*
+	  //WORKS TO RUN FIREFOX TO OPEN A NEW TAB WITH MAPDATA:
+	  // https://askubuntu.com/questions/57163/how-to-open-an-url-from-command-line-to-firefox-and-switch-to-tab
+	String[] cmdArgs = {
+	    "firefox",
+	    "-new-tab",
+	    mapURL
+	};
+	*/
+
+	/* Can try CutyCapt, http://cutycapt.sourceforge.net/
+	    mentioned at https://bugzilla.mozilla.org/show_bug.cgi?id=1412061
+	 It requires Qt 4.4.0+.
+	 It's installed, https://askubuntu.com/questions/435564/qt5-installation-and-path-configuration
+	 Versions 4 and 5 are installed, seen if I run
+	    qtchooser -list-versions
+	 And when I run: whereis qt5
+	    qt5: /usr/share/qt5
+	 https://unix.stackexchange.com/questions/116254/how-do-i-change-which-version-of-qt-is-used-for-qmake
+
+	 No, doesn't appear to be installed.
+	*/
 	
 	System.err.println();
Index: /other-projects/maori-lang-detection/src/org/greenstone/atea/SummaryTool.java
===================================================================
--- /other-projects/maori-lang-detection/src/org/greenstone/atea/SummaryTool.java	(revision 33925)
+++ /other-projects/maori-lang-detection/src/org/greenstone/atea/SummaryTool.java	(revision 33926)
@@ -460,6 +460,6 @@
 		    System.err.println("---");
 
-		    // TODO: breaks after first table -> map conversion
-		    break;
+		    // TODO: Remove break. For debugging: breaks after first table -> map conversion.
+		    //break;
 		}
 		