Index: other-projects/maori-lang-detection/mongodb-data/random260_manualList_globalDomains_whereAPageContainsMRI.txt
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/random260_manualList_globalDomains_whereAPageContainsMRI.txt	(revision 33947)
+++ other-projects/maori-lang-detection/mongodb-data/random260_manualList_globalDomains_whereAPageContainsMRI.txt	(revision 33948)
@@ -3,5 +3,5 @@
 https://paekupu.co.nz/word/awatea,NZ,Y,MIXED_TEXT
 http://pukoro.co.nz/mi/vocab-with-kori/twigs/,NZ,Y,SIGNIFICANTLY_MAORI
-http://tiritiowaitangi.govt.nz/maps/landconfiscations.php,NZ,Y,SIGNIFICANTLY_MAORI
+http://tiritiowaitangi.govt.nz/maps/landconfiscations.php,NZ,Y,MIXED_TEXT
 http://www.tmoa.tki.org.nz/Karere-Hou/Hine-Takurua-raua-ko-Hine-Raumati-ma-te-pouako,NZ,Y,SIGNIFICANTLY_MAORI
 https://tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/takaro-raumati/,NZ,Y,NAV
@@ -9,5 +9,5 @@
 http://www.tmoa.tki.org.nz/Karere-Hou/He-hotaka-whakangungu,NZ,Y,NAV
 https://tetaurawhiri.govt.nz/kaupapa/panui-papaho/kaua-e-whiua-whanaia-dont-pass-it-kick-it/,NZ,Y,SIGNIFICANTLY_MAORI
-http://www.pakanae.maori.nz/ng257-wai-o-hokianga.html,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.pakanae.maori.nz/ng257-wai-o-hokianga.html,NZ,Y,POEMS_OR_SONGS
 http://www.tmoa.tki.org.nz/Karere-Hou/He-purongo-TMoA-me-NWRM,NZ,Y,SIGNIFICANTLY_MAORI
 http://www.tkkmmokopuna.school.nz/1/easy_pages/3-mana-kura-tahi-tkkm-o-nga-mokopuna,NZ,Y,NAV
@@ -19,11 +19,11 @@
 https://tiritiowaitangi.govt.nz/story/leaduptotreaty.php,NZ,Y,SIGNIFICANTLY_MAORI
 http://www.waiata.maori.nz/index.php/browse/genre,NZ,Y,POEMS_OR_SONGS
-https://csunplugged.org/mi/topics/,US,Y,SIGNIFICANTLY_MAORI
-http://www.teipukarea.maori.nz/research-mi-nz/nga-kaupapa-rangahau-o-mua/,NZ,Y,SIGNIFICANTLY_MAORI
+https://csunplugged.org/mi/topics/,US,Y,MAORI_PARAGRAPHS
+http://www.teipukarea.maori.nz/research-mi-nz/nga-kaupapa-rangahau-o-mua/,NZ,Y,MAORI_PARAGRAPHS
 https://www.tetaurawhiri.govt.nz/kaupapa/tatai-korero-2/1800/,NZ,Y,SIGNIFICANTLY_MAORI
 http://tiritiowaitangi.govt.nz/story/textdifferences.php,NZ,Y,SIGNIFICANTLY_MAORI
 http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Hangarau/1.4-Te-whakaputa-i-tetahi-hua-hangarau-no-roto-mai-i-te-matauranga-Maori-hei-whakaea-i-tetahi-tauaki,NZ,Y,NAV
 http://www.waiata.maori.nz/en/song/kua-eke-raa-ngaa-tuumanako,NZ,Y,POEMS_OR_SONGS
-http://animations.tewhanake.maori.nz/te-kohure/te-wahanga-tuarua/380,NZ,Y,SIGNIFICANTLY_MAORI
+http://animations.tewhanake.maori.nz/te-kohure/te-wahanga-tuarua/380,NZ,Y,MAORI_PARAGRAPHS
 http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Tutarawananga-Kia-hangai-ki-nga-tamariki,NZ,Y,SIGNIFICANTLY_MAORI
 http://firstworldwar.tki.org.nz/mi/nga-kaupapa/tuakiri-me-te-tuku-ihotanga/,NZ,Y,SIGNIFICANTLY_MAORI
@@ -36,15 +36,15 @@
 http://pukoro.co.nz/mi/computer-games/game-3-skiing-game,NZ,Y,WORDS
 https://www.tekura.school.nz/dual-providers-mi-nz/first-steps-mi-nz/online-learning-mi-nz/,NZ,Y,SIGNIFICANTLY_MAORI
-http://www.tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Te-Reo-Maori/Korero/Takapiringa,NZ,Y,SIGNIFICANTLY_MAORI
-https://kupengahao.co.nz/items/he-tautoko-i-te-marautanga-pangarau-te-tauira-me-te-panga/,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Te-Reo-Maori/Korero/Takapiringa,NZ,Y,MAORI_PARAGRAPHS
+https://kupengahao.co.nz/items/he-tautoko-i-te-marautanga-pangarau-te-tauira-me-te-panga/,NZ,Y,MAORI_PARAGRAPHS
 https://paekupu.co.nz/word/aputa-rarangi,NZ,Y,MIXED_TEXT
-http://www.tmoa.tki.org.nz/Mataiako/Te-Waharoa-Ararau/Te-Waharoa-Ararau-Modules,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.tmoa.tki.org.nz/Mataiako/Te-Waharoa-Ararau/Te-Waharoa-Ararau-Modules,NZ,Y,OTHER_LANGUAGES
 https://www.twttoa.com/future-events--contact-details.html,US,Y,MIXED_TEXT
-https://biblehub.com/mao/1_kings/6.htm,US,Y,SIGNIFICANTLY_MAORI
+https://biblehub.com/mao/1_kings/6.htm,US,Y,
 http://m.biblepub.com/bibles/mb/19/23,US,Y,SIGNIFICANTLY_MAORI
 https://www.tetaurawhiri.govt.nz/ratonga/,NZ,Y,NAV
 http://www.tkkmmokopuna.school.nz/1/image_galleries/3-2018-whakaahua,NZ,Y,NAV
 http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Te-Kura-o-Takaro,NZ,Y,SIGNIFICANTLY_MAORI
-http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Hauora,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Hauora,NZ,Y,MAORI_PARAGRAPHS
 http://www.waiata.maori.nz/mri/song/te-haakii-o-wiremu-taamehana,NZ,Y,POEMS_OR_SONGS
 http://kuraaiwi.maori.nz/m333-ng257-tumuaki.html,NZ,Y,LITTLE_TEXT
@@ -52,5 +52,5 @@
 https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/nga-rerenga-korero-phrases/,NZ,Y,NAV
 https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/he-whakaari-pukuhohe-reo-maori-hou/,NZ,Y,SIGNIFICANTLY_MAORI
-https://ngatiporoukiponeke.org.nz/hikurangi-maunga-kati-ra/,NZ,Y,SIGNIFICANTLY_MAORI
+https://ngatiporoukiponeke.org.nz/hikurangi-maunga-kati-ra/,NZ,Y,POEMS_OR_SONGS
 http://www.tmoa.tki.org.nz/Mataiako/Te-Waharoa-Ararau/Nga-rauemi-mo-TWA,NZ,Y,MIXED_TEXT
 http://www.tereowrap.nz/tmwo_upoko04.html,NZ,Y,SIGNIFICANTLY_MAORI
@@ -69,10 +69,10 @@
 http://kuraproductions.co.nz/mi/shows/taniwha-rau,NZ,Y,SIGNIFICANTLY_MAORI
 http://www.firstworldwar.tki.org.nz/mi/rauemi/he-tohu-pakanga-he-tohu-kapa/,NZ,Y,SIGNIFICANTLY_MAORI
-https://ngatiporoukiponeke.org.nz/karangatia-ra/,NZ,Y,SIGNIFICANTLY_MAORI
+https://ngatiporoukiponeke.org.nz/karangatia-ra/,NZ,Y,POEMS_OR_SONGS
 http://kurakokiri.maori.nz/students.html,NZ,Y,SIGNIFICANTLY_MAORI
-http://tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Te-Reo-Maori/Korero/Kawea-te-Rongo-Ki-Mai-He-Whakamatau-Reo-Korero-JOST,NZ,Y,SIGNIFICANTLY_MAORI
-https://kupengahao.co.nz/items/tihei-pangarau-te-tau-me-te-taurangi-te-pukapuka-aratohu-ma-te-pouako-taumata-3/,NZ,Y,SIGNIFICANTLY_MAORI
+http://tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Te-Reo-Maori/Korero/Kawea-te-Rongo-Ki-Mai-He-Whakamatau-Reo-Korero-JOST,NZ,Y,MAORI_PARAGRAPHS
+https://kupengahao.co.nz/items/tihei-pangarau-te-tau-me-te-taurangi-te-pukapuka-aratohu-ma-te-pouako-taumata-3/,NZ,Y,MAORI_PARAGRAPHS
 http://pukoro.co.nz/mi/vocab-with-kori/bib/,NZ,Y,SIGNIFICANTLY_MAORI
-http://www.tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Pangarau/Apitihanga-Uiui-Rautaki-GloSS,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Pangarau/Apitihanga-Uiui-Rautaki-GloSS,NZ,Y,MAORI_PARAGRAPHS
 http://tmoa.tki.org.nz/Pakiwaitara-Marau/Te-Kura-Kaupapa-Maori-o-Ngati-Ruanui,NZ,Y,SIGNIFICANTLY_MAORI
 https://tehiku.nz/archives/te-tai-tokerau-kapa-haka-regionals-2011/4463/kaitaia-college-seniors,NZ,Y,MIXED_TEXT
@@ -87,8 +87,8 @@
 https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/christmas/,NZ,Y,NAV
 http://tiritiowaitangi.govt.nz/maps/maoriland1939.php,NZ,Y,NAV
-http://tmoa.tki.org.nz/Pakiwaitara-Marau/Tutarawananga-Nga-pumanawa-matua,NZ,Y,SIGNIFICANTLY_MAORI
+http://tmoa.tki.org.nz/Pakiwaitara-Marau/Tutarawananga-Nga-pumanawa-matua,NZ,Y,MAORI_PARAGRAPHS
 https://mi.wikipedia.org/wiki/Katea,US,Y,MIXED_TEXT
 http://www.livingheritage.org.nz/schools/secondary/te-ara-whanui/toku-kura/index.php,NZ,Y,SIGNIFICANTLY_MAORI
-http://www.twtop.school.nz/66/blogs/1-te-ohinga-panui/posts/12-term-2-week-1,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.twtop.school.nz/66/blogs/1-te-ohinga-panui/posts/12-term-2-week-1,NZ,Y,MAORI_PARAGRAPHS
 http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Putaiao/AS-3.3-v1-Te-tatari-i-nga-taukumekume-mo-te-whakamahi-i-nga-rawa-o-Papatuanuku-Tauira,NZ,Y,NAV
 https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/kia-ora-general-phrases/,NZ,Y,NAV
@@ -100,5 +100,5 @@
 http://pukoro.co.nz/mi/learning-points/autumn/,NZ,Y,LITTLE_TEXT
 http://tiritiowaitangi.govt.nz/quotes/1920.php,NZ,Y,SIGNIFICANTLY_MAORI
-https://kupengahao.co.nz/portfolio-filter/putaiao/,NZ,Y,SIGNIFICANTLY_MAORI
+https://kupengahao.co.nz/portfolio-filter/putaiao/,NZ,Y,MAORI_PARAGRAPHS
 http://m.biblepub.com/bibles/mb/15/3,US,Y,SIGNIFICANTLY_MAORI
 http://www.twtop.school.nz/62/learning_cave_sets/22-tuwharetoatanga,NZ,Y,MIXED_TEXT
@@ -108,5 +108,5 @@
 https://www.twttoa.com/rangatira-pita-sharples-5.html,US,Y,NAV
 http://www.tmoa.tki.org.nz/Mataiako/Whiriwhiria-tetahi-rauemi-aromatawai,NZ,Y,LITTLE_TEXT
-http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Nga-whainga-paetae-o-TMoA,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Nga-whainga-paetae-o-TMoA,NZ,Y,MAORI_PARAGRAPHS
 http://pukoro.co.nz/mi/crafts/making-animation,NZ,Y,SIGNIFICANTLY_MAORI
 http://pukoro.co.nz/mi/crafts/making-scones/,NZ,Y,SIGNIFICANTLY_MAORI
@@ -119,5 +119,5 @@
 http://pukoro.co.nz/mi/kohanga-of-the-week/te-wharekura-o-tauranga-moana/,NZ,Y,NAV
 http://tmoa.tki.org.nz/Karere-Hou/Wanangatia-te-Putanga-Tauira,NZ,Y,SIGNIFICANTLY_MAORI
-https://kupengahao.co.nz/items/te-poutama-tau-pukapuka-tuarima-te-tapiritanga-te-tangohanga-me-te-uara-tu/,NZ,Y,SIGNIFICANTLY_MAORI
+https://kupengahao.co.nz/items/te-poutama-tau-pukapuka-tuarima-te-tapiritanga-te-tangohanga-me-te-uara-tu/,NZ,Y,MAORI_PARAGRAPHS
 http://www.tmoa.tki.org.nz/Kura/Te-Reo-a-Waha/Nga-ataata/Te-Reo-a-Waha-Tau-7-8,NZ,Y,NAV
 http://www.firstworldwar.tki.org.nz/mi/rauemi/mano-reo-mano-whakaaro/,NZ,Y,SIGNIFICANTLY_MAORI
@@ -126,5 +126,5 @@
 http://m.biblepub.com/bibles/mb/1/42,US,Y,SIGNIFICANTLY_MAORI
 http://www.tmoa.tki.org.nz/Nga-Whanaketanga-Rumaki-Maori/Nga-Whanaketanga-Rumaki-Maori-me-Ka-Hikitia-Accelerating-Success-2013-2017,NZ,Y,SIGNIFICANTLY_MAORI
-http://tmoa.tki.org.nz/Karere-Hou/Matariki,NZ,Y,SIGNIFICANTLY_MAORI
+http://tmoa.tki.org.nz/Karere-Hou/Matariki,NZ,Y,MAORI_PARAGRAPHS
 https://www.terito.school.nz/2017-3/,NZ,Y,NAV
 https://mi.m.wikipedia.org/wiki/1788,US,Y,WORDS
@@ -156,5 +156,5 @@
 http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/He-Karere-Hou,NZ,Y,SIGNIFICANTLY_MAORI
 http://www.waiata.maori.nz/en/song/aku-kanohi-kau,NZ,Y,POEMS_OR_SONGS
-http://tmoa.tki.org.nz/Karere-Hou/Te-Tautoko-76,NZ,Y,SIGNIFICANTLY_MAORI
+http://tmoa.tki.org.nz/Karere-Hou/Te-Tautoko-76,NZ,Y,MAORI_PARAGRAPHS
 http://www.tmoa.tki.org.nz/Karere-Hou/Te-whakahounga-o-Te-Waharoa-Ararau,NZ,Y,SIGNIFICANTLY_MAORI
 http://pukoro.co.nz/mi/stories/the-disheartened-possum/,NZ,Y,SIGNIFICANTLY_MAORI
@@ -187,10 +187,10 @@
 https://tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/akina-te-reo-maramataka/,NZ,Y,NAV
 http://tmoa.tki.org.nz/Te-Marautanga-o-Aotearoa/Te-Anga/Te-Putake-o-Te-Marautanga-o-Aotearoa,NZ,Y,SIGNIFICANTLY_MAORI
-http://ngatipahauwera.co.nz/nga-konae/,NZ,Y,SIGNIFICANTLY_MAORI
+http://ngatipahauwera.co.nz/nga-konae/,NZ,Y,POEMS_OR_SONGS
 https://mi.m.wikipedia.org/wiki/1748,US,Y,WORDS
 http://tmoa.tki.org.nz/Mataiako/Ako/Ka-arotahi-te-aromatawai-ki-te-akonga,NZ,Y,SIGNIFICANTLY_MAORI
 http://www.waiata.maori.nz/mri/song/aku-kanohi-kau,NZ,Y,POEMS_OR_SONGS
 https://sexualviolence.victimsinfo.govt.nz/mi/glossary/showterm/kaitohutohu+p%c4%81rurenga+koeretanga/,NZ,Y,SIGNIFICANTLY_MAORI
-http://tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Tirohanga-whanui/Ka-Eke-ki-Wairaka-Maori/Ka-Eke-ki-Wairaka,NZ,Y,SIGNIFICANTLY_MAORI
+http://tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Tirohanga-whanui/Ka-Eke-ki-Wairaka-Maori/Ka-Eke-ki-Wairaka,NZ,Y,POEMS_OR_SONGS
 http://www.waiata.maori.nz/en/song/mahara,NZ,Y,POEMS_OR_SONGS
 https://mi.m.wikipedia.org/wiki/1886,US,Y,WORDS
@@ -237,5 +237,5 @@
 https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/te-reo-maori-revitalisation-celebrated/,NZ,Y,SIGNIFICANTLY_MAORI
 http://tmoa.tki.org.nz/Pakiwaitara-Marau/Te-Kura-o-Titahi-ki-te-Raki,NZ,Y,SIGNIFICANTLY_MAORI
-http://kuraproductions.co.nz/mi/shows/only-in-aotearoa,NZ,Y,SIGNIFICANTLY_MAORI
+http://kuraproductions.co.nz/mi/shows/only-in-aotearoa,NZ,Y,MAORI_PARAGRAPHS
 http://www.tmoa.tki.org.nz/Akonga,NZ,Y,MAORI_PARAGRAPHS
 http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Tatari-Tautoko-Tauawhi-Nawton-School,NZ,Y,SIGNIFICANTLY_MAORI
@@ -247,7 +247,7 @@
 http://tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Te-Reo-Rangatira/TRR-1.11-Te-whakaatu-i-nga-putanga-rangahau,NZ,Y,NAV
 https://tetaurawhiri.govt.nz/kaupapa/panui-papaho/nga-tohu-reo-maori/,NZ,Y,SIGNIFICANTLY_MAORI
-http://pukoro.co.nz/mi/songs-and-lyrics/at-school/,NZ,Y,SIGNIFICANTLY_MAORI
+http://pukoro.co.nz/mi/songs-and-lyrics/at-school/,NZ,Y,POEMS_OR_SONGS
 http://pukoro.co.nz/mi/learning-points/test-learning-points/,NZ,Y,SINGLE_MRI_SENTENCE
-http://www.kura-porirua.school.nz/194/profile_areas/5-te-rarangi-kaimahi-staff-directory,NZ,Y,SIGNIFICANTLY_MAORI
+http://www.kura-porirua.school.nz/194/profile_areas/5-te-rarangi-kaimahi-staff-directory,NZ,Y,NAV
 http://www.tmoa.tki.org.nz/Pakiwaitara-Marau,NZ,Y,SIGNIFICANTLY_MAORI
 http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/He-Maherehere-Paerewa-Paetae2,NZ,Y,NAV