Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/ACTIVATE.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/ACTIVATE.sh	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/ACTIVATE.sh	(revision 34041)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+cwd=`pwd`
+col=${cwd##*/}
+
+activate.pl -removeold -site atea -library_url http://localhost:8383/greenstone3/atea-library $* "$col"
+
Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/BUILDCOL.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/BUILDCOL.sh	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/BUILDCOL.sh	(revision 34041)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+cwd=`pwd`
+col=${cwd##*/}
+
+buildcol.pl -removeold -site atea $* "$col"
+
Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/CHECKOUT-AUDIO.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/CHECKOUT-AUDIO.sh	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/CHECKOUT-AUDIO.sh	(revision 34041)
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+if [ ! -d import ] ; then
+    echo "Creating 'import' directory"
+    mkdir imort
+fi
+
+cd import \
+  && svn co http://svn.greenstone.org/hemi-dl/analysis/import/audio-analysis/Sound_Files audio \
+  && cd ..
Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/IMPORT.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/IMPORT.sh	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/IMPORT.sh	(revision 34041)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+cwd=`pwd`
+col=${cwd##*/}
+
+import.pl -removeold -site atea $* "$col"
+
Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/RECONFIGURE.sh
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/RECONFIGURE.sh	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/RECONFIGURE.sh	(revision 34041)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+echo "Reconfiguring full site"
+
+wget -O /dev/null 'http://localhost:8383/greenstone3/atea-library?a=s&sa=c'
+
+status=$?
+
+if [ $status != 0 ] ; then
+  echo "Error encountered when requesting Greenstone3 reconfiguration" 1>&2
+fi
+
Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/collectionConfig.xml	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/collectionConfig.xml	(revision 34041)
@@ -0,0 +1,378 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gslib="http://www.greenstone.org/skinning">
+	<metadataList>
+		<metadata name="creator"></metadata>
+		<metadata name="maintainer"></metadata>
+		<metadata name="public">true</metadata>
+	</metadataList>
+	<displayItemList>
+		<displayItem assigned="true" lang="en" name="name">He Herenga KÅrero (MP3s)</displayItem>
+		<displayItem assigned="true" lang="en" name="description">A range of language resources in MÄori in spoken form.</displayItem>
+                <!-- shortDescription is used as a tooltip for collection icon on home page-->
+                <displayItem assigned="true" lang="en" name="shortDescription">He Herenga KÅrero (MP3)</displayItem>
+	</displayItemList>
+	<!-- Global format statement -->
+	<format>
+	  <gsf:template name="choose-title">
+	    <gsf:choose-metadata>
+	      <gsf:metadata name="dc.Title"/>
+	      <gsf:metadata name="exp.Title"/>
+	      <gsf:metadata name="ex.dc.Title"/>
+	      <gsf:metadata name="Title"/>
+	      <gsf:default>Untitled</gsf:default>
+	    </gsf:choose-metadata>
+	  </gsf:template>
+
+	  <gsf:template name="display-rich-title">
+	    
+	    <xsl:choose>
+	      <xsl:when test="@nodeType='leaf' and @docType='hierarchy'">
+
+		<gsf:switch>
+		  <gsf:metadata name="dc.Title" select="root"/>
+		  <gsf:when test="exists">
+		    <gsf:metadata name="dc.Title" select="root"/><xsl:text>: </xsl:text>
+		  </gsf:when>
+		</gsf:switch>
+
+		<gsf:metadata name="Title"/>
+	      </xsl:when>
+	      <xsl:otherwise>
+		<xsl:call-template name="choose-title"/>		      
+	      </xsl:otherwise>
+	    </xsl:choose>
+	    
+	    <gsf:switch>
+	      <gsf:metadata name="text.Volume" select="root"/>
+	      <gsf:when test="exists">
+		<xsl:text>, Volume </xsl:text><gsf:metadata name="text.Volume" select="root"/>
+	      </gsf:when>
+	    </gsf:switch>
+	    <gsf:switch>
+	      <gsf:metadata name="text.Issue" select="root"/>
+	      <gsf:when test="exists">
+		<xsl:text>, Issue </xsl:text>
+		<gsf:variable name="rootIssue">
+		  <gsf:metadata name="text.Issue" select="root"/>
+		</gsf:variable>
+		<gsf:variable name="nodeID">
+		  <xsl:value-of select="@nodeID"/>
+		</gsf:variable>
+		<gsf:span id="{@nodeID}-issue"/>
+		  <gsf:script>
+		      var nodeID = gs.variables.nodeID;
+		      var rootIssue = gs.variables.rootIssue;
+		      $('#'+nodeID+'-issue').html(rootIssue.replace(/^[0]+/,""));
+		</gsf:script>
+	      </gsf:when>
+	    </gsf:switch>
+
+	    <gsf:switch>
+	      <gsf:metadata name="audio.CDNum"/>
+	      <gsf:when test="exists">
+		<xsl:text>, Disc </xsl:text>
+		<gsf:variable name="CDNum">
+		  <gsf:metadata name="audio.CDNum"/>
+		</gsf:variable>
+		<gsf:variable name="nodeID">
+		  <xsl:value-of select="@nodeID"/>
+		</gsf:variable>
+		<gsf:span id="{@nodeID}-CDNum"/>
+		<gsf:script>
+		  var nodeID = gs.variables.nodeID;
+		  var CDNum = gs.variables.CDNum;
+		  $('#'+nodeID+'-CDNum').html(CDNum.replace(/^[0]+/,""));
+		</gsf:script>
+	      </gsf:when>
+	    </gsf:switch>
+	    <gsf:switch>
+	      <gsf:metadata name="audio.Track"/>
+	      <gsf:when test="exists">
+		<xsl:text>, Track </xsl:text>
+		<gsf:variable name="Track">
+		  <gsf:metadata name="audio.Track"/>
+		</gsf:variable>
+		<gsf:variable name="nodeID">
+		  <xsl:value-of select="@nodeID"/>
+		</gsf:variable>
+		<gsf:span id="{@nodeID}-Track"/>
+		<gsf:script>
+		  var nodeID = gs.variables.nodeID;
+		  var Track = gs.variables.Track;
+		  $('#'+nodeID+'-Track').html(Track.replace(/^[0]+/,""));
+		</gsf:script>
+	      </gsf:when>
+	    </gsf:switch>
+	    
+	  </gsf:template>
+
+	</format>
+	<search type="lucene">
+		<level name="document">
+			<displayItem lang="en" name="name">document</displayItem>
+		</level>
+		<level name="section">
+			<displayItem lang="en" name="name">page</displayItem>
+		</level>
+		<defaultLevel name="document"/>
+		<index name="text">
+			<displayItem lang="en" name="name">text</displayItem>
+		</index>
+		<index name="dc.Title,ex.dc.Title,Title">
+			<displayItem lang="en" name="name">titles</displayItem>
+		</index>
+		<index name="Source">
+			<displayItem lang="en" name="name">filenames</displayItem>
+		</index>
+		<defaultIndex name="text"/>
+		<sort name="rank">
+		  <displayItem lang="en" name="name">rank</displayItem>
+                </sort>
+                <sort name="none">
+		  <displayItem lang="en" name="name">natural (build) order</displayItem>
+		</sort>
+		<searchType name="plain"/>
+		<searchType name="simpleform"/>
+		<searchType name="advancedform"/>
+
+		<format>
+		  <gsf:template match="documentNode">
+		    <td valign="top">
+		      <gsf:link type="document">
+			<gsf:icon type="document"/>
+		      </gsf:link>
+		    </td>
+		    <td>
+		      <gsf:link type="document">
+			<xsl:call-template name="display-rich-title"/>
+		      </gsf:link>
+		    </td>
+		  </gsf:template>
+		</format>
+	</search>
+
+	<infodb type="jdbm"/>
+
+	<import>
+		<pluginList>
+			<plugin name="ZIPPlugin"/>
+			<plugin name="GreenstoneXMLPlugin"/>
+			<plugin name="TextPlugin"/>
+			<plugin name="HTMLPlugin"/>
+			<plugin name="EmailPlugin"/>
+			<plugin name="PDFv2Plugin">
+			  <option name="enable_cache" />
+			</plugin>
+			<plugin name="RTFPlugin"/>
+			<plugin name="WordPlugin"/>
+			<plugin name="PostScriptPlugin"/>
+			<plugin name="PowerPointPlugin"/>
+			<plugin name="ExcelPlugin"/>
+			<plugin name="ImagePlugin"/>
+			<plugin name="MP3Plugin"/>
+			<plugin name="ISISPlugin"/>
+			<plugin name="NulPlugin"/>
+			<plugin name="OAIPlugin"/>
+			<plugin name="MetadataXMLPlugin"/>
+			<plugin name="EmbeddedMetadataPlugin"/>
+			<plugin name="ArchivesInfPlugin"/>
+			<plugin name="DirectoryPlugin"/>
+		</pluginList>
+		<importOption name="OIDtype" value="assigned"/>
+                <importOption name="OIDmetadata" value="FilenameRoot"/>
+	</import>
+	<browse>
+		<classifier name="AZCompactList">
+			<option name="-metadata" value="dc.Title;Title"/>
+			<!--
+			<option name="-partition_type_within_level" value="approximate_size"/>
+			-->
+			<option name="-mingroup" value="2"/>
+			<option name="-removeprefix" value="(\d+\s*(\-\s*)?)|(Te\s*)"/>
+		</classifier>
+
+		<classifier name="Hierarchy">
+			<option name="-buttonname" value="Audio"/>
+			<option name="-metadata" value="audio.CDNumTrack"/>
+			<option name="-hfile" value="hierarchy-cdnum-track.txt"/>
+			<option name="-sort" value="audio.Track"/>
+		</classifier>
+<!--
+		<classifier name="AZCompactList">
+			<option name="-metadata" value="bib.Audio"/>
+			<option name="-buttonname" value="Audio"/>
+			<option name="-mingroup" value="200"/>
+			<option name="-sort" value="dc.Title"/>
+		</classifier>
+-->
+		<format>
+		  <gsf:template match="documentNode">
+		    <td valign="top">
+		      <gsf:link type="document">
+			<gsf:icon type="document"/>
+		      </gsf:link>
+		    </td>
+		    <td valign="top">
+		      <gsf:link type="source">
+			<gsf:choose-metadata>
+			  <gsf:metadata name="thumbicon"/>
+			  <gsf:metadata name="srcicon"/>
+			</gsf:choose-metadata>
+		      </gsf:link>
+		    </td>
+		    <td valign="top">
+		      <gsf:link type="document">
+			<!-- Defined in the global format statement -->
+			<xsl:call-template name="display-rich-title"/>
+		      </gsf:link>
+		    </td>
+		  </gsf:template>
+
+		  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
+		    <td valign="top">
+		      <gsf:link type="classifier" style="static">
+			<gsf:icon type="classifier"/>
+		      </gsf:link>
+		    </td>
+		    <td valign="top">
+		      <gsf:link type="classifier">
+	                <gsf:metadata name="Title"/>
+		      </gsf:link>
+		    </td>
+		  </gsf:template>
+
+		  <gsf:template match="classifierNode[@classifierStyle = 'HList']">
+		    <gsf:link type="classifier" style="static">
+		      <gsf:metadata name="Title"/>
+		    </gsf:link>
+		  </gsf:template>
+		</format>
+	</browse>
+	<display>
+		<format>
+			<gsf:option name="TOC" value="true"/>
+			<gsf:option name="AllowUserComments" value="false"/>
+			<!-- 
+				Overwriting this template allows you to change the heading of the document.
+			-->
+			
+			<gsf:template name="documentHeading">
+			  <gsf:switch>
+			    <gsf:metadata name="srcicon"/>
+			    <gsf:when test="exists">
+			      <gsf:link type="source">
+				<gsf:metadata name="srcicon"/>
+			      </gsf:link>
+			    </gsf:when>
+			  </gsf:switch>
+			      
+			  <span style="font-weight:bold; font-size: 120%;">
+			    <xsl:call-template name="choose-title"/>
+			  </span>
+			</gsf:template>
+			
+			
+			<!-- 
+				Overwriting this template can be used to redefine the content of the whole document. 
+				This is useful for simple documents, but not recommended for more complex documents
+				(e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
+			-->
+			
+			<gsf:template name="documentContent">
+			  <!-- Rule that matches a simple document -->
+			  <div id="gs-document">
+			    <xsl:call-template name="documentPre"/>
+
+			    
+			    <gsf:switch>
+			      <gsf:metadata name="bib.Audio"/>
+			      <gsf:when test="exists">
+				<div id="viewer" style="heightXXX: 300px; overflow: auto; text-align: center; width: 100%">
+				  <div style="padding: 20px;">
+				    <audio controls="controls" widthXXX="300">
+				      <source>
+					<xsl:attribute name="src"><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="srclink_file"/></xsl:attribute>
+				      </source>
+				      Your web browser does not support the this form of audio.
+				    </audio>
+				  </div>
+				</div>
+			      </gsf:when>
+			      <gsf:otherwise>
+				<xsl:call-template name="wrappedSectionImage"/>
+				<div id="gs-document-text">
+				  <xsl:call-template name="documentNodeText"/>
+				</div>
+			      </gsf:otherwise>
+			    </gsf:switch>
+
+		          </div>			
+			</gsf:template>
+			
+			<!--
+				Overwriting this template can be used to change the content of section headings.
+			-->
+			<!--
+			<gsf:template name="sectionHeading">
+				<xsl:call-template name="choose-title"/>
+			</gsf:template>
+			-->
+			
+			<!--
+				Overwriting this template can be used to change the content of the top-level section.
+			-->
+			
+			<gsf:template name="topLevelSectionContent">
+			  <gsf:switch>
+			    <gsf:metadata name="srcicon"/>
+			    <gsf:when test="exists">
+			      <gsf:link type="source">
+				<gsf:metadata name="srcicon"/>
+			      </gsf:link>
+			    </gsf:when>
+			  </gsf:switch>
+
+			  <xsl:call-template name="wrappedSectionImage"/>
+			  <xsl:call-template name="wrappedSectionText"/>
+			</gsf:template>
+		
+			
+			<!--
+				Overwriting this template can be used to change the content of sections.
+			-->
+			<!--
+			<gsf:template name="sectionContent">
+				<xsl:call-template name="wrappedSectionImage"/>
+				<xsl:call-template name="wrappedSectionText"/>
+			</gsf:template>
+			-->
+		</format>
+	</display>
+	<replaceListRef id="gs2-standard"/>
+	<replaceListRef id="gs2-image" />
+	<serviceRackList>
+		<!-- comment out the following serviceRack if you want to disable RSS for this collection -->	  
+	        <serviceRack name="RSSRetrieve"/>
+		<!-- comment out the following serviceRack if you want to disable OAI for this collection -->
+		<serviceRack name="OAIPMH">
+		  <setName>He Herenga KÅrero (MP3s)</setName>
+		  <setDescription>A range of language resources in MÄori in spoken form.</setDescription>
+		  <!-- uncomment the following and set the name attribute if 
+		       you want this collection to be part of a super set. -->
+		  <!--<oaiSuperSet name="xxx"/>-->		  
+			<ListMetadataFormats>
+			  <!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
+				   <metadataFormat metadataPrefix="prefix"/> -->
+			  
+			  <metadataFormat metadataPrefix="oai_dc">
+			    <!-- you can customize the mappings by adding elements in here. See resources/oai/OAIConfig.xml for the format-->
+			  </metadataFormat>
+			</ListMetadataFormats>
+		</serviceRack> 
+	</serviceRackList>
+	<security scope="collection" default_access="private">
+	  <exception>
+	    <group name="atea"/>
+	  </exception>
+	</security>
+</CollectionConfig>
Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/hierarchy-cdnum-track.txt
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/hierarchy-cdnum-track.txt	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/hierarchy-cdnum-track.txt	(revision 34041)
@@ -0,0 +1,14 @@
+1 1 "Hoani Te Huia"
+HoaniTeHuia.9 1.1 "Disk 9"
+2 2 "Te Kapa Potae"
+TeKapaPotae.1 2.1 "Disk 1"
+TeKapaPotae.1 2.2 "Disk 2"
+3 3 "Maui Onekura"
+MauiOnekura.4 3.1 "Disk 4"
+4 4 "Raureti Te Huia"
+RauretiTeHuia.5 4.1 "Disc 5"
+RauretiTeHuia.7 4.2 "Disc 7"
+5 5 "Toki Watene"
+TokiWatene.3 5.1 "Disk 3"
+6 6 "Toroa Ngatau"
+ToroaNgatau.6 6.1 "Disk 6"
Index: /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/hierarchy-volume-issue.txt
===================================================================
--- /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/hierarchy-volume-issue.txt	(revision 34041)
+++ /main/trunk/model-sites-dev/atea/collect/he-herenga-korero-mp3s/etc/hierarchy-volume-issue.txt	(revision 34041)
@@ -0,0 +1,25 @@
+1 1 "He Muka"
+HeMuka.1 1.1 "Volume 1"
+HeMuka.2 1.2 "Volume 2"
+HeMuka.3 1.3 "Volume 3"
+HeMuka.4 1.4 "Volume 4"
+HeMuka.5 1.5 "Volume 5"
+HeMuka.6 1.6 "Volume 6"
+HeMuka.7 1.7 "Volume 7"
+HeMuka.8 1.8 "Volume 8"
+HeMuka.9 1.9 "Volume 9"
+HeMuka.10 1.10 "Volume 10"
+HeMuka.11 1.11 "Volume 11"
+HeMuka.12 1.12 "Volume 12"
+HeMuka.13 1.13 "Volume 13"
+HeMuka.14 1.14 "Volume 14"
+HeMuka.15 1.15 "Volume 15"
+HeMuka.16 1.16 "Volume 16"
+HeMuka.17 1.17 "Volume 17"
+HeMuka.18 1.18 "Volume 18"
+HeMuka.19 1.19 "Volume 19"
+HeMuka.20 1.20 "Volume 20"
+HeMuka.21 1.21 "Volume 21"
+HeMuka.22 1.22 "Volume 22"
+2 2 "Te Korako"
+Korako.1 2.1 "Volume 1"