Index: /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_es.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_es.properties	(revision 34059)
+++ /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_es.properties	(revision 34059)
@@ -0,0 +1,2 @@
+siteName:Mi biblioteca Greenstone
+siteDescription:Esta es una biblioteca digital construida con el software Greenstone Digital Library, versiÃ³n 3. Edite el nombre del sitio y la descripciÃ³n en web/sites/localsite/siteConfig.xml o web/sites/localsite/resources/siteConfig_xx.properties.
Index: /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_fr.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_fr.properties	(revision 34059)
+++ /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_fr.properties	(revision 34059)
@@ -0,0 +1,2 @@
+siteName:Ma bibliothÃšque Greenstone
+siteDescription:ceci est une bibliothÃšque numÃ©rique utilisant le logiciel open source Greenstone Digital Library dans sa version 3. Vous pouvez modifier le nom et la description dans le fichier web/sites/localsite/siteConfig.xml ou web/sites/localsite/resources/siteConfig_xx.properties.
Index: /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_gu.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_gu.properties	(revision 34059)
+++ /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_gu.properties	(revision 34059)
@@ -0,0 +1,3 @@
+siteName:àª®àªŸàª°à« àªà«àª°à«àªšàªžà«àªà«àªš àªà«àª°àªàª¥àªŸàª²àª¯
+siteDescription:àª àª¡à«àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªà« àªà« àªà«àª°à«àªšàªžà«àªà«àªš àª¡à«àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªžà«àª«à«àªàªµà«àª°, àªµàª°à«àªàªš 3àªšàªŸ àªàªªàª¯à«àªàª¥à« àª€à«àª¯àªŸàª° àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«. web/sites/localsite/siteConfig.xml or web/sites/localsite/resources/siteConfig_xx.propertiesàª®àªŸàª àªžàªŸàªàª àªšàªŸàª® àª
+àªšà« àªµàª°à«àª£àªšàª®àªŸàª àªàª¡àª¿àª àªàª°à«.
Index: /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_ja.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_ja.properties	(revision 34059)
+++ /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_ja.properties	(revision 34059)
@@ -0,0 +1,2 @@
+siteName:èªåã®Greenstoneå³æžé€š
+siteDescription:ããã¯ãªãŒãã³ãœãŒã¹ã§ããã°ãªãŒã³ã¹ããŒã³ã®ããžã¿ã«å³æžé€šãœãããŠãšã¢ããŒãžã§ã³3ãçšããŠæ§ç¯ãããããžã¿ã«å³æžé€šã§ããweb/sites/localsite/siteConfig.xml ãŸãã¯ web/sites/localsite/resources/siteConfig_xx.propertiesã§ãµã€ãåãšèšè¿°ãç·šéããŠãã ããã
Index: /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_pl.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_pl.properties	(revision 34059)
+++ /main/trunk/model-sites-dev/atea/resources/OBSOLETE/siteConfig_pl.properties	(revision 34059)
@@ -0,0 +1,3 @@
+siteName:Moja Biblioteka Greenstone
+siteDescription:To jest cyfrowa biblioteka zbudowana za pomocÄ
+ otwartoÅºrÃ³dÅowego oprogramowania Greenstone Digital Library wersja 3. NazwÄ witryny i opis moÅŒesz zmieniÄ w pliku `web/sites/localsite/siteConfig.xml` lub `web/sites/localsite/resources/siteConfig_xx.properties`.
Index: /main/trunk/model-sites-dev/atea/resources/siteConfig.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/siteConfig.properties	(revision 34058)
+++ /main/trunk/model-sites-dev/atea/resources/siteConfig.properties	(revision 34059)
@@ -1,3 +1,2 @@
-siteName=My Greenstone Library
-siteDescription=This is a digital library built using the open-source Greenstone Digital Library software, version 3. Edit the site name and description in web/sites/localsite/siteConfig.xml or web/sites/localsite/resources/siteConfig_xx.properties.
-
+siteName=Atea Core
+siteDescription=The Atea Core is built using the open-source Greenstone Digital Library software, version 3.
Index: in/trunk/model-sites-dev/atea/resources/siteConfig_es.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/siteConfig_es.properties	(revision 34058)
+++ 	(revision )
@@ -1,2 +1,0 @@
-siteName:Mi biblioteca Greenstone
-siteDescription:Esta es una biblioteca digital construida con el software Greenstone Digital Library, versiÃ³n 3. Edite el nombre del sitio y la descripciÃ³n en web/sites/localsite/siteConfig.xml o web/sites/localsite/resources/siteConfig_xx.properties.
Index: in/trunk/model-sites-dev/atea/resources/siteConfig_fr.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/siteConfig_fr.properties	(revision 34058)
+++ 	(revision )
@@ -1,2 +1,0 @@
-siteName:Ma bibliothÃšque Greenstone
-siteDescription:ceci est une bibliothÃšque numÃ©rique utilisant le logiciel open source Greenstone Digital Library dans sa version 3. Vous pouvez modifier le nom et la description dans le fichier web/sites/localsite/siteConfig.xml ou web/sites/localsite/resources/siteConfig_xx.properties.
Index: in/trunk/model-sites-dev/atea/resources/siteConfig_gu.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/siteConfig_gu.properties	(revision 34058)
+++ 	(revision )
@@ -1,3 +1,0 @@
-siteName:àª®àªŸàª°à« àªà«àª°à«àªšàªžà«àªà«àªš àªà«àª°àªàª¥àªŸàª²àª¯
-siteDescription:àª àª¡à«àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªà« àªà« àªà«àª°à«àªšàªžà«àªà«àªš àª¡à«àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªžà«àª«à«àªàªµà«àª°, àªµàª°à«àªàªš 3àªšàªŸ àªàªªàª¯à«àªàª¥à« àª€à«àª¯àªŸàª° àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«. web/sites/localsite/siteConfig.xml or web/sites/localsite/resources/siteConfig_xx.propertiesàª®àªŸàª àªžàªŸàªàª àªšàªŸàª® àª
-àªšà« àªµàª°à«àª£àªšàª®àªŸàª àªàª¡àª¿àª àªàª°à«.
Index: in/trunk/model-sites-dev/atea/resources/siteConfig_ja.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/siteConfig_ja.properties	(revision 34058)
+++ 	(revision )
@@ -1,2 +1,0 @@
-siteName:èªåã®Greenstoneå³æžé€š
-siteDescription:ããã¯ãªãŒãã³ãœãŒã¹ã§ããã°ãªãŒã³ã¹ããŒã³ã®ããžã¿ã«å³æžé€šãœãããŠãšã¢ããŒãžã§ã³3ãçšããŠæ§ç¯ãããããžã¿ã«å³æžé€šã§ããweb/sites/localsite/siteConfig.xml ãŸãã¯ web/sites/localsite/resources/siteConfig_xx.propertiesã§ãµã€ãåãšèšè¿°ãç·šéããŠãã ããã
Index: in/trunk/model-sites-dev/atea/resources/siteConfig_pl.properties
===================================================================
--- /main/trunk/model-sites-dev/atea/resources/siteConfig_pl.properties	(revision 34058)
+++ 	(revision )
@@ -1,3 +1,0 @@
-siteName:Moja Biblioteka Greenstone
-siteDescription:To jest cyfrowa biblioteka zbudowana za pomocÄ
- otwartoÅºrÃ³dÅowego oprogramowania Greenstone Digital Library wersja 3. NazwÄ witryny i opis moÅŒesz zmieniÄ w pliku `web/sites/localsite/siteConfig.xml` lub `web/sites/localsite/resources/siteConfig_xx.properties`.