Index: /main/trunk/model-interfaces-dev/heritage-nz/transform/layouts/header.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/heritage-nz/transform/layouts/header.xsl	(revision 34092)
+++ /main/trunk/model-interfaces-dev/heritage-nz/transform/layouts/header.xsl	(revision 34093)
@@ -75,5 +75,5 @@
 	  <xsl:choose>
 	    <xsl:when test="not(page/pageRequest[@action='q']) or /page/pageRequest/paramList/param[@name='qs']/@value = '1'">
-	      <form action="{$library_name}/collection/{$collNameChecked}/search/TextQuery">
+	      <form action="{$library_name}/collection/{$collNameChecked}/search/TextQuery" onsubmit="return validateQuickSearchForm()">
 		<!-- This parameter says that we have come from the quick search area -->
 		<input type="hidden" name="qs" value="1"/>
Index: /main/trunk/model-interfaces-dev/heritage-nz/transform/layouts/main.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/heritage-nz/transform/layouts/main.xsl	(revision 34092)
+++ /main/trunk/model-interfaces-dev/heritage-nz/transform/layouts/main.xsl	(revision 34093)
@@ -37,4 +37,52 @@
 			  </gsf:script>
 
+			  <gsf:script>
+			    function gtag_trigger_download_event(elem,source_file) {
+			      gtag('event', 'download_report', { 'event_category' : 'download', 'event_label': source_file });
+			    }
+
+			    function gtag_trigger_search_event(query) {
+			      gtag('event', 'search', { 'search_term': query });
+			    }
+
+			    function validateQuickSearchForm() {
+			      var $query = $('#quicksearcharea input[name="s1.query"]');
+			      if ($query.length > 0) {
+			        var query = $query.val();
+			        if (query != "" ) {
+			          gtag_trigger_search_event(query);
+				  return true;
+				}
+			      }
+			      return false;
+			    }
+
+
+			    function validateAdvancedSearchForm() {
+			      var $query = $('#quicksearcharea input[name="s1.query"]');
+
+			      var $query_term_elems = $('form[name="QueryForm"] input[name="s1.fqv"]');
+
+			      if ($query_term_elems.length > 0) {
+
+			        var query_terms = [];
+				$query_term_elems.each(function() { 
+				  var q = $(this).val(); 
+				  if (q != "") { 
+				    query_terms.push(q) 
+				  }
+				});
+
+			        var query = query_terms.join(' ');
+			        if (query != "" ) {
+			          gtag_trigger_search_event(query);
+				  return true;
+				}
+			      }
+
+			      return false;
+			    }
+			  </gsf:script>
+			  
 				<!-- ***** in header.xsl ***** -->
 				<xsl:call-template name="create-html-header"/>
@@ -84,4 +132,8 @@
 
 				  #gs_footer {
+				    font-size: 90%;
+				  }
+/*
+				  #gs_footer {
 				    position: absolute;
 				    bottom: -30px;
@@ -89,5 +141,5 @@
 				    width: 99.8%;
 				  }
-
+*/
 				  #quicksearcharea ul {
 				    margin-top: 10px;
Index: /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/berry.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/berry.xsl	(revision 34092)
+++ /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/berry.xsl	(revision 34093)
@@ -10,5 +10,17 @@
   
   <!-- set page title -->
-  <xsl:template name="pageTitle"><a href="{$library_name}/collection/pdf-reports/page/about">Digital Library Home</a><gslib:rightArrow/><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'berry.title')"/></xsl:template>
+  <xsl:template name="pageTitle"><a href="{$library_name}/collection/pdf-reports/page/about">Digital Library Home</a><gslib:rightArrow/><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.title')"/></xsl:template>
+
+  <!-- optional cgi-params for links to document pages -->
+  <!-- here because collectionConfig.xml defined a template in
+       its *global* section that uses gsf:link, which in turn then
+       generates XSL tags that refer to opt-doc-link-arg -->
+  <!-- not strictly necessary in berry.xsl as currently used
+       in the HeritageDL, which is to access the berryBasket/favouriteBasket
+       without a c=xxx argument, and so doesn't draw in the
+       collectionConfig.xml file, however added here as a catch-all
+       in case this changes in the future and c=xxxx added in -->
+
+  <xsl:variable name="opt-doc-link-args"></xsl:variable>
 
   <xsl:template name="customJavascript">
Index: /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/classifier.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/classifier.xsl	(revision 34092)
+++ /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/classifier.xsl	(revision 34093)
@@ -44,5 +44,5 @@
 	<xsl:comment>Filler needed for div</xsl:comment>
 	<xsl:call-template name="viewOptions"/>
-	<xsl:if test="$berryBasketOn or $favouritesBasketOn or ($documentBasketOn and (util:contains(/page/pageRequest/userInformation/@groups, 'administrator') or util:contains(/page/pageRequest/userInformation/@groups, 'all-collections-editor') or util:contains(/page/pageRequest/userInformation/@groups, $thisCollectionEditor)))">
+	<xsl:if test="$berryBasketOn or $favouriteBasketOn or ($documentBasketOn and (util:contains(/page/pageRequest/userInformation/@groups, 'administrator') or util:contains(/page/pageRequest/userInformation/@groups, 'all-collections-editor') or util:contains(/page/pageRequest/userInformation/@groups, $thisCollectionEditor)))">
 	  <xsl:if test="$berryBasketOn">
 	    <!-- show the berry basket if it's turned on -->
@@ -53,5 +53,5 @@
 	  </xsl:if>
 
-	  <xsl:if test="$favouritesBasketOn">
+	  <xsl:if test="$favouriteBasketOn">
 	    <!-- show the favourites 'basket' if it's turned on -->
 	    <div class="tableOfContentsContainer" style="position:relative; z-index: 2;"> <!-- **** -->
Index: /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/query.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/query.xsl	(revision 34092)
+++ /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/query.xsl	(revision 34093)
@@ -22,9 +22,9 @@
 -->
 <!-- **** -->
-    <div id="float-anchor" style="position: absolute; width: 29%; min-width:180px; top: 105px; right:20px; margin: 0 0 10px 20px;">
+    <div id="float-anchor" style="position: absolute; width: 29%; min-width:180px; /*top: 105px;*/ right:20px; margin: 0 0 10px 20px;">
       <xsl:comment>Filler needed for div</xsl:comment>
-      <xsl:call-template name="viewOptions"/>
+     <!-- <xsl:call-template name="viewOptions"/>-->
 
-      <xsl:if test="$berryBasketOn or $favouritesBasketOn or ($documentBasketOn and (util:contains(/page/pageRequest/userInformation/@groups, 'administrator') or util:contains(/page/pageRequest/userInformation/@groups, 'all-collections-editor') or util:contains(/page/pageRequest/userInformation/@groups, $thisCollectionEditor)))">
+      <xsl:if test="$berryBasketOn or $favouriteBasketOn or ($documentBasketOn and (util:contains(/page/pageRequest/userInformation/@groups, 'administrator') or util:contains(/page/pageRequest/userInformation/@groups, 'all-collections-editor') or util:contains(/page/pageRequest/userInformation/@groups, $thisCollectionEditor)))">
 	<div id="rightSidebar" style="margin: 0 0 5px 5px; width: 100%">
 <!--
@@ -46,5 +46,5 @@
 	  </xsl:if>
 
-	  <xsl:if test="$favouritesBasketOn">
+	  <xsl:if test="$favouriteBasketOn">
 	    <!-- show the favourites 'basket' if it's turned on -->
 	    <div class="tableOfContentsContainer" style="position:relative; z-index: 2;"> <!-- **** -->
@@ -127,5 +127,5 @@
 -->
 <!-- **** -->
-			<div id="facetSelector" style="position: relative; float: right; top: 100px;">
+			<div id="facetSelector" style="position: relative; float: right; top: 100px;"><b>Refine Your Search:</b>
 				<xsl:for-each select="/page/pageResponse/facetList/facet">
 					<xsl:if test="count(count) > 0">
Index: /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/verify.xsl
===================================================================
--- /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/verify.xsl	(revision 34092)
+++ /main/trunk/model-interfaces-dev/heritage-nz/transform/pages/verify.xsl	(revision 34093)
@@ -11,3 +11,9 @@
   <xsl:template name="pageTitle"><a href="{$library_name}/collection/pdf-reports/page/about">Digital Library Home</a><gslib:rightArrow/><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'verify.title')"/></xsl:template>
 
+  <!-- optional cgi-params for links to document pages -->
+  <!-- needed here because collectionConfig.xml defined a template in
+       its *global* section that uses gsf:link, which in turn then
+       generates XSL tags that refer to opt-doc-link-arg -->
+  <xsl:variable name="opt-doc-link-args"></xsl:variable>
+
 </xsl:stylesheet>